StateVarComplete.h File Reference

UpnpStateVarComplete object declararion. More...

`#include "TemplateInclude.h"`
Include dependency graph for StateVarComplete.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CLASS UpnpStateVarComplete
#define | EXPAND_CLASS_MEMBERS(CLASS)

## Detailed Description

UpnpStateVarComplete object declararion.

Represents the reply for the current value of a state variable in an asynchronous call.

Author
  Marcelo Roberto Jimenez

## Macro Definition Documentation

## EXPAND_CLASS_MEMBERS

#define EXPAND_CLASS_MEMBERS | ( |  | CLASS | ) |

Value:
EXPAND_CLASS_MEMBER_INT(CLASS, ErrCode, int) \
EXPAND_CLASS_MEMBER_STRING(CLASS, CtrlUrl) \
EXPAND_CLASS_MEMBER_STRING(CLASS, StateVarName) \
EXPAND_CLASS_MEMBER_DOMSTRING(CLASS, CurrentVal) \
CLASS
struct s_CLASS CLASS
Definition: TemplateInclude.h:138